Package org.apache.sysds.runtime.io.hdf5

## Class H5LocalHeap

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5LocalHeap

    public class H5LocalHeap
    extends Object

### Constructor Summary

Constructors
`H5LocalHeap​(H5RootObject rootObject, long address)`
`H5LocalHeap​(H5RootObject rootObject, String childName, long dataSegmentSize, long offsetToHeadOfFreeList, long addressOfDataSegment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAddressOfDataSegment()`
`ByteBuffer` `getDataBuffer()`
`long` `getDataSegmentSize()`
`long` `getOffsetToHeadOfFreeList()`
`short` `getVersion()`
`void` `toBuffer​(H5BufferBuilder bb)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5LocalHeap

    public H5LocalHeap​(H5RootObject rootObject,
                       long address)

#### H5LocalHeap

    public H5LocalHeap​(H5RootObject rootObject,
                       String childName,
                       long dataSegmentSize,
                       long offsetToHeadOfFreeList,
                       long addressOfDataSegment)

### Method Detail

#### toBuffer

    public void toBuffer​(H5BufferBuilder bb)

#### getVersion

    public short getVersion()

#### getDataSegmentSize

    public long getDataSegmentSize()

#### getOffsetToHeadOfFreeList

    public long getOffsetToHeadOfFreeList()

#### getAddressOfDataSegment

    public long getAddressOfDataSegment()

#### getDataBuffer

    public ByteBuffer getDataBuffer()